#include <iostream>

using namespace std;

int main()
{
    long long int a, b, c, maximum;
    long long int counta, countb, countc;
    long long int helpa, helpb, helpc;
    long long int nn[5];
    cin >> a >> b >> c;
    counta = 1;
    countb = 1;
    countc = 1;
    helpa = a;
    helpb = b;
    helpc = c;
    while(helpa>0){
        counta = counta * 10;
        helpa = helpa / 10;
    }
    while(helpb>0){
        countb = countb * 10;
        helpb = helpb / 10;
    }
    while(helpc>0){
        countc = countc * 10;
        helpc = helpc / 10;
    }
    nn[0] = a*(countb*countc) + b*countc + c;
    nn[1] = a*(countb*countc) + c*countb + b;
    nn[2] = b*(counta*countc) + a*countc + c;
    nn[3] = b*(counta*countc) + c*counta + a;
    nn[4] = c*(counta*countb) + a*countb + b;
    nn[5] = c*(counta*countb) + b*counta + a;
    maximum = nn[0];
    for(int i=1; i<6; i++){
        if(nn[i]>maximum){
            maximum = nn[i];
        }
    }
    cout << maximum;
    return 0;
}